--- title: "Get load balancer list" slug: "analytics-clouddatastreamingservice-cluster-getloadbalancerinstancelist" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-clouddatastreamingservice-cluster-getloadbalancerinstancelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get load balancer list Available in VPC Get the list of load balancers available as public endpoints for broker nodes in a Cloud Data Streaming Service cluster. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/cluster/getLoadBalancerInstanceList/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v1/cluster/getLoadBalancerInstanceList/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v1/cluster/getLoadBalancerInstanceList/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-clouddatastreamingservice-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/getLoadBalancerInstanceList/1009*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.loadBalancerInstanceList` | Array | - | Load balancer list: [loadBalancerInstanceList](/docs/en/analytics-clouddatastreamingservice-cluster-getloadbalancerinstancelist#loadBalancerInstanceList) | | `requestId` | String | - | ID for the request - UUID format | #### `loadBalancerInstanceList` The following describes `loadBalancerInstanceList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `loadBalancerIp` | String | - | Load balancer IP | | `loadBalancerName` | String | - | Load balancer name | | `loadBalancerDomain` | String | - | Load balancer access information | | `instanceNo` | Integer | - | Load balancer instance number | | `permission` | String | - | Load balancer availability status | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "loadBalancerInstanceList": [ { "loadBalancerIp": "101.***.***.***", "loadBalancerName": "lblblb", "loadBalancerDomain": "lblblb-*********-****************.naverncp.com", "instanceNo": 1009*****, "permission": "allow" } ] }, "requestId": "9d1329a1-****-****-****-15fdc05dbcda" } ```